# $Revision: 1.34 $, $Date: 2010/09/02 17:57:55 $
#
# Conditional build:
#
%define		_state		stable
%define		kdever		4.4.5
%define		qtver		4.6.3
%define		orgname		kdevelop
%define		kdevplatform	1.0.2

Summary:	KDE Integrated Development Environment
Summary(de.UTF-8):	KDevelop ist eine grafische Entwicklungsumgebung für KDE
Summary(pl.UTF-8):	Zintegrowane środowisko programisty dla KDE
Summary(pt_BR.UTF-8):	Ambiente Integrado de Desenvolvimento para o KDE
Summary(zh_CN.UTF-8):	KDE C/C++集成开发环境
Name:		kde4-kdevelop
Version:	4.0.2
Release:	1
License:	GPL
Group:		X11/Development/Tools
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/kdevelop/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	5390087c06574892baaf6f2e7a2f9d05
URL:		http://www.kdevelop.org/
BuildRequires:	QtHelp-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake >= 2.8.0
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdebase-workspace-devel >= %{kdever}
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	kde4-kdevplatform-devel >= %{kdevplatform}
BuildRequires:	libstdc++-devel >= 3.3
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	zlib-devel >= 1.2.0
BuildConflicts:	star
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	shared-mime-info
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The KDevelop Integrated Development Environment provides many features
that developers need as well as providing a unified interface to
programs like gdb, the C/C++ compiler, and make.

KDevelop manages or provides: all development tools needed for C++
programming like Compiler, Linker, automake and autoconf; KAppWizard,
which generates complete, ready-to-go sample applications;
Classgenerator, for creating new classes and integrating them into the
current project; File management for sources, headers, documentation
etc. to be included in the project; The creation of User-Handbooks
written with SGML and the automatic generation of HTML-output with the
KDE look and feel; Automatic HTML-based API-documentation for your
project's classes with cross-references to the used libraries;
Internationalization support for your application, allowing
translators to easily add their target language to a project;

KDevelop also includes WYSIWYG (What you see is what you get)-creation
of user interfaces with a built-in dialog editor; Debugging your
application by integrating KDbg; Editing of project-specific pixmaps
with KIconEdit; The inclusion of any other program you need for
development by adding it to the "Tools"-menu according to your
individual needs.

%description -l de.UTF-8
KDevelop ist eine grafische Entwicklungsumgebung für KDE.

Das KDevelop-Projekt wurde 1998 begonnen, um eine einfach zu
bedienende grafische (integrierte) Entwicklungsumgebung für C++ und C
auf Unix-basierten Betriebssystemen bereitzustellen. Seit damals ist
die KDevelop-IDE öffentlich unter der GPL erhältlich und unterstützt
u. a. Qt-, KDE-, GNOME-, C++- und C-Projekte.

%description -l pl.UTF-8
KDevelop to zintegrowane środowisko programistyczne dla KDE, dające
wiele możliwości przydatnych programistom oraz zunifikowany interfejs
do programów typu gdb, kompilator C/C++ oraz make.

KDevelop obsługuje lub zawiera: wszystkie narzędzia programistyczne
potrzebne do programowania w C++ jak kompilator, linker, automake,
autoconf; KAppWizard, generujący kompletne, gotowe do uruchomienia,
proste aplikacje; Classgenerator do tworzenia nowych klas i włączania
ich do projektu; zarządzanie plikami źródłowymi, nagłówkowymi,
dokumentacją itp.; tworzenie podręczników użytkownika pisanych w SGML
i automatyczne generowanie wyjścia HTML pasującego do KDE;
automatyczne tworzenie dokumentacji API w HTML do klas projektu z
odniesieniami do używanych bibliotek; wsparcie dla
internacjonalizacji, pozwalające tłumaczom łatwo dodawać pliki z
tłumaczeniami do projektu.

KDevelop ma także tworzenie interfejsów użytkownika przy użyciu
edytora dialogów WYSIWYG; odpluskwianie aplikacji poprzez integrację z
KDbg; edycję ikon przy pomocy KIconEdit; dołączanie innych programów
potrzebnych do programowania przez dodanie ich do menu Tools według
własnych potrzeb.

%package devel
Summary:	kdevelop - header files and development documentation
Summary(pl.UTF-8):	kdevelop - pliki nagłówkowe i dokumentacja
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files and development documentation for
kdevelop.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe i dokumentację potrzebną przy
pisaniu własnych programów wykorzystujących kdevelop.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DSYSCONF_INSTALL_DIR=%{_sysconfdir} \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_desktopdir}
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install app/kdevelop.desktop $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{orgname} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_mime_database
%update_desktop_database

%postun
/sbin/ldconfig
%update_mime_database
%update_desktop_database_postun

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kdevelop
%attr(755,root,root) %{_bindir}/kdevelop.bin
%attr(755,root,root) %{_libdir}/kde4/kcm_kdev_makebuilder.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kdevcmake_settings.so
%attr(755,root,root) %{_libdir}/kde4/kdevastyle.so
%attr(755,root,root) %{_libdir}/kde4/kdevcmakebuilder.so
%attr(755,root,root) %{_libdir}/kde4/kdevcmakedocumentation.so
%attr(755,root,root) %{_libdir}/kde4/kdevcmakemanager.so
%attr(755,root,root) %{_libdir}/kde4/kdevcpplanguagesupport.so
%attr(755,root,root) %{_libdir}/kde4/kdevcustommakemanager.so
%attr(755,root,root) %{_libdir}/kde4/kdevgdb.so
%attr(755,root,root) %{_libdir}/kde4/kdevindent.so
%attr(755,root,root) %{_libdir}/kde4/kdevmakebuilder.so
%attr(755,root,root) %{_libdir}/kde4/kdevqthelp.so
%attr(755,root,root) %{_libdir}/libkdev4cmakecommon.so
%attr(755,root,root) %{_libdir}/libkdev4cppduchain.so
%attr(755,root,root) %{_libdir}/libkdev4cppparser.so
%attr(755,root,root) %{_libdir}/libkdev4cpprpp.so
%{_datadir}/apps/kdevappwizard
%{_datadir}/apps/kdevcmakebuilder
%{_datadir}/apps/kdevcmakemanager
%{_datadir}/apps/kdevcustommakemanager
%{_datadir}/apps/kdevelop
%dir %{_datadir}/apps/kdevgdb
%{_datadir}/apps/kdevgdb/kdevgdbui.rc
%dir %{_datadir}/apps/kdevgdb/printers
%{_datadir}/apps/kdevgdb/printers/gdbinit
%{_datadir}/apps/kdevgdb/printers/qt4.py
%{_datadir}/apps/kdevgdb/printers/kde4.py
%{_datadir}/apps/kdevgdb/printers/libstdcxx.py
%{_datadir}/config/kdeveloprc
%dir %{_datadir}/apps/kdevcppsupport
%{_datadir}/apps/kdevcppsupport/kdevcppsupport.rc
%{_datadir}/kde4/services/kcm_kdev_makebuilder.desktop
%{_datadir}/kde4/services/kcm_kdevcmake_settings.desktop
%{_datadir}/kde4/services/kdevastyle.desktop
%{_datadir}/kde4/services/kdevcmakebuilder.desktop
%{_datadir}/kde4/services/kdevcmakedocumentation.desktop
%{_datadir}/kde4/services/kdevcmakemanager.desktop
%{_datadir}/kde4/services/kdevcppsupport.desktop
%{_datadir}/kde4/services/kdevcustommakemanager.desktop
%{_datadir}/kde4/services/kdevgdb.desktop
%{_datadir}/kde4/services/kdevindent.desktop
%{_datadir}/kde4/services/kdevmakebuilder.desktop
%{_datadir}/kde4/services/kdevqthelp.desktop
%{_datadir}/mime/packages/kdevelop.xml
%{_desktopdir}/kdevelop.desktop
%{_desktopdir}/kde4/kdevelop.desktop
%{_iconsdir}/*/*x*/*/*.png
%{_includedir}/kdevelop

%files devel
%defattr(644,root,root,755)
%{_datadir}/apps/cmake/modules/FindKDevelop.cmake

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdevelop.spec,v $
Revision 1.34  2010/09/02 17:57:55  shadzik
- 4.0.2

Revision 1.33  2010/07/20 12:20:58  shadzik
- Source

Revision 1.32  2010/07/18 10:26:07  shadzik
- german desc didn't make sense with the bracket at that place - fixed

Revision 1.31  2010/07/17 22:52:20  shadzik
- kill implicit BRs and Rs

Revision 1.30  2010/07/17 22:34:30  shadzik
- 4.0.1

Revision 1.29  2010/05/01 21:20:35  shadzik
- rel 1

Revision 1.28  2010/05/01 17:54:27  cactus
- make use of desktop-file-utils and shared-mime-info

Revision 1.27  2010/04/29 19:18:41  august84
- up to 4.0.0

Revision 1.26  2010/04/17 23:07:30  charles
- BR: QtUiTools-devel, gettext-devel

Revision 1.25  2010/04/17 10:08:44  lmasko
- Up to 3.10.2.
- Locale files added, needs testing.

Revision 1.24  2010/04/12 16:50:55  vip
- up to 3.10.0, thanks to Andrzej Augustyński, august84 at autocom dot pl

Revision 1.23  2010/03/18 22:00:45  vip
- up to 3.9.99
- revert last commit (kdevplatform ver is 0.x not 3.x)

Revision 1.22  2010/03/18 21:39:45  vip
- strict BR:kde4-kdevplatform-devel version

Revision 1.21  2010/02/12 19:05:47  lmasko
- Up to 3.9.98.

Revision 1.20  2010/02/05 16:30:36  lmasko
- Requires kde4-kdevplatform >= 0.9.97.

Revision 1.19  2010/02/02 20:59:15  shadzik
- unify qtver macro
- kill redundand Rs

Revision 1.18  2010/01/31 00:50:32  sparky
- added BR versions
- dropped second BR: libstdc++-devel

Revision 1.17  2010/01/31 00:44:10  sparky
- BR: QtHelp-devel, QtWebKit-devel, automoc4, kde4-kdebase-workspace-devel,
  qt4-build, qt4-qmake

Revision 1.16  2010/01/30 13:55:50  lmasko
- Up to 3.3.97.

Revision 1.15  2009/10/19 18:21:20  glen
- CMAKE_BUILD_TYPE setup

Revision 1.14  2009/09/30 10:11:24  cactus
- md5 sum

Revision 1.13  2009/09/25 16:41:21  cactus
- up to 3.9.95 svn 102700

Revision 1.12  2009/06/14 11:54:24  cactus
- R: kde4-kdebase-core -> R: kde4-kdebase

Revision 1.11  2009/06/14 11:36:52  cactus
- up to 3.9.93 r981766
- drop patch0 (upstream)
- drop BR: autotools - now BR: cmake
- BR: kdevplatform >= 0.9.93
- files

Revision 1.10  2009/03/18 13:56:26  chomar
- changed QTCore to QtCore

Revision 1.9  2009/03/17 18:13:13  chomar
- updated qt and kde version reqired for build package
- cleaned spec file
- updated BuildRequires and Requires

Revision 1.8  2009/03/16 11:21:39  chomar
- add changelog

Revision 1.7  2009/03/15 21:27:01  chomar
- up to 3.9.91

Revision 1.6  2009/01/06 01:17:36  glen
- tarball for KDevelop 4.0 alpha5 (3.9.84) for KDE 4.2 beta 2.

Revision 1.5  2009/01/04 02:07:02  cactus
- up to 3.9.84 rev 905177 - version from CMAKE
- some new files

Revision 1.4  2008/05/25 10:47:51  pascalek
- updated to 4.0.74; missing BR: kde4-kdevplatform-devel

Revision 1.3  2008-04-20 16:19:40  rotom
- 4.0.70

Revision 1.2  2008-03-08 16:08:31  rotom
- 4.0.65

Revision 1.1  2008-02-11 19:45:09  rotom
- initial

